Summary
Add Workflow
Description
Add a Workflow to the database
Route
POST /workflow_builder/workflows/save
Roles
admin
engineering
support
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
Workflow's data. |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": 8647408.241206735,
"y": 57931726.187343895
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": -77947977.1804159,
"y": -35462617.971070595
},
"error_handler": {
"name": "childJob",
"summary": "eu consequat aliqua",
"description": "elit pariatur nostrud cupidatat veniam",
"app": "ad culpa minim",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/~0/~0/WizwF/~0"
},
{
"type": "encryption",
"pointer": "/h3/~1"
}
]
},
"groups": [
"ba0141ac993ef677edec8e3e"
],
"type": "operation",
"deprecated": false,
"scheduled": false
}
},
"transitions": {},
"groups": [
"33324e58c1b42926d25a940b",
"7040eb972c112fcad4b030b4",
"b6fc5656172c1702167f8ea7",
"b10b55683549d13be557a6de"
],
"_id": "7356b0b0-6be8-4b41-89dd-e657890ea979",
"description": "cillum",
"errorHandler": {
"type": "eiusmod eu",
"name": "proident esse"
},
"font_size": 12,
"created": "1969-12-18T21:58:26.786Z",
"created_by": "ff7823059d1f4f4c46e24072",
"createdVersion": "proident officia",
"last_updated": "2024-12-30T16:51:10.996Z",
"last_updated_by": "c987ec956c720b94b9d0adc5",
"lastUpdatedVersion": "sit aute consequat in sunt",
"tags": [],
"canvasVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~0/Ht2r/Zo/wjU/jHs1tqN"
},
{
"type": "encryption",
"pointer": "/G./zvyDKFcU/BIrb4l/bM/~1/~0/oQ/Mj-rDWn"
},
{
"type": "encryption",
"pointer": "/qTzg.j/vot6Erea/Tx/~1/~0/~0/~1/qCqmbw/~0/~0/~1"
},
{
"type": "encryption",
"pointer": "/r2eA/~1/Dr2k4PbED+K/~1/hw3Fv/NGArw/IlMh/M/~1"
}
]
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow": {
"$ref": "workflowDocument"
}
},
"required": [
"workflow"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
The new Workflow with its data and ID. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": -64595467.4148213,
"y": -69589153.9756694
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 39541940.34937295,
"y": -42484623.45240984
},
"error_handler": {
"name": "childJob",
"summary": "exercitation incididunt est Lorem amet",
"description": "anim est pariatur consectetur",
"app": "consequat",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/~1/~0/~0/~0/~1/qr"
},
{
"type": "encryption",
"pointer": "/~0/t40aev-sm3"
},
{
"type": "encryption",
"pointer": "/ahLmzy5FV/~0/wzheHHSOO6/~0/vN/ppP/eY3Od2AFN/~1/ocxdy.IwZ/J72Q/o+L"
},
{
"type": "encryption",
"pointer": "/~1/QK/~1"
}
]
},
"groups": [
"dc926b293f747c046479364e"
],
"type": "operation",
"deprecated": false,
"scheduled": true
}
},
"transitions": {},
"groups": [
"b55240cd79de959232a492b5",
"ef19a6e240c4d10cec96c713",
"e000bbafd6e8e0a898a2d006",
"79fe304137acaa2c5cd82863"
],
"_id": "7eb61f15-62a0-e5c1-1ba0-5736db375cc7",
"description": "eiusmod",
"errorHandler": null,
"font_size": 12,
"created": "1974-10-29T06:08:19.289Z",
"created_by": "680a8073e17d67b841ac627b",
"createdVersion": "eu tempor fugiat non",
"last_updated": "1982-05-25T14:50:17.817Z",
"last_updated_by": "9182703c5ae48fb04291e0dc",
"lastUpdatedVersion": "nisi dolore",
"tags": [],
"canvasVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~0"
},
{
"type": "encryption",
"pointer": "/cd/~1/I5YAMq469r/AoHxq./~1/~0"
},
{
"type": "encryption",
"pointer": "/~0/~0/~1/~0/~1"
},
{
"type": "encryption",
"pointer": "/m/ZCw9WV0TJL9/mtME2/OGShTHx8/~1/~0/SHyjqsbOL/y6/~0/n1/~1"
}
]
}